// @import '../config.scss'
@import '../fonts.scss'
// @import '../header'
// @import '../nav'
// @import '../global'

.wrap-carousel-control
    .carousel-control-prev, .carousel-control-next
        position: relative

.wrap-slide-involve
    margin-top: 55px
    .indicator
        opacity: 0.6
        font-family: Krungsri
        font-size: 16px
        font-weight: normal
        font-stretch: condensed
        font-style: normal
        line-height: 1
        letter-spacing: 0.15px
        text-align: right
        color: #fff

body
    &:before
        content: ""
        background-image: url('../KSC_Support/Background-Element_Layer/Our_Story/Our_story-Who_We_Are/Our-story_Who-We-Are-BG_Desktop1440W.png')
        background-size: cover
        background-repeat: no-repeat
        position: fixed
        left: 0
        right: 0
        top: 0
        height: 100vh
        width: 100%
        z-index: -2

    &.tab-01,
    &.tab-02,
    &.tab-03
        footer
            position: relative
    &.tab-02::before
        background-image: url('../KSC_Support/Background-Element_Layer/Our_Story/Our-story_REAL-PLAYER-DNA/Our-story_REAL-PLAYER-DNA_BG_Desktop1440W.png')
        background-position: bottom
    

    // &:not(.tab-02)
    //     footer
    //         position: relative
            // .wrap-footer-item
            //     p, span
            //         color: #000000

    .position-sticky
        padding-top: 36px

    &.tab-03
        .text-box
            margin-top: 15px
            font-family: Krungsri
            font-size: 18px
            font-weight: normal
            font-stretch: condensed
            font-style: normal
            line-height: 1.67
            letter-spacing: 0.15px
            color: #ffffff

        .tab-03
            u,a
                padding-bottom: 1px
                text-decoration: none
                border-bottom: 1px solid #FFF
                color: #FFF !important



main
    min-height: 100vh
    display: flex !important
    flex-direction: column

.tab-01
    main
        position: relative
        
        .tab-01
            z-index: 1
        .bg-overlay
            height: 200px
            width: 100%
            background-image: linear-gradient(to top, rgba(54, 69, 70, 0), #000000 79%)
            position: absolute
            bottom: calc( 100vh - 160px )
            left: 0
        
        

    ul 
        padding-inline-start: 0
    footer
        .wrap-footer-item
            p, span
                color: #000000b7
        svg
            #fb-icon
                fill: #000000b7

.tab-02,
.tab-03
    // margin-bottom: 100px
    footer
        .wrap-footer-item
                p, span
                    color: #ffffffb7
        svg
            #fb-icon
                fill: #ffffffb7

.tabs 
    display: none
    &.active
        display: block

    &.tab-02,
    &.tab-03
        min-height: calc( 100vh - 365px )
        // margin-top: 115px
    
.wrap-hero-banner
    margin-top: 25px
    .text-corporate
        position: absolute
        bottom: 70px
        right: 0
        text-shadow: 0 10px 30px rgba(42, 51, 54, 0.2)
        font-family: KrungsriSimple
        font-size: 80px
        font-weight: bold
        font-stretch: normal
        font-style: normal
        line-height: 1.13
        letter-spacing: 0.13px
        text-align: right
        color: #ffffff

.wrap-pre-wording
    margin-top: 50px
    margin-bottom: 150px
    h4
        font-family: Krungsri
        font-size: 30px
        font-weight: 500
        font-stretch: condensed
        font-style: normal
        line-height: 1.53
        letter-spacing: 0.15px
        color: #ffffff

    p
        margin-top: 15px
        font-family: Krungsri
        font-size: 18px
        font-weight: normal
        font-stretch: condensed
        font-style: normal
        line-height: 1.67
        letter-spacing: 0.15px
        color: #ffffff


.vision-section
    display: grid
    grid-template-areas: "text chairman" "text chairman" "bottom chairman" "bottom chairman"
    grid-gap: 60px
    

    .wrap-text
        grid-area: text

    .bottom-img
        grid-area: bottom

    .chairman-img
        grid-area: chairman
        display: flex
        

.mission-section
    margin-top: 50px
    .wrap-text
        text-align: right

.product-and-service
    margin-top: 220px
    padding-bottom: 1px
    &::before
        content: ''
        position: absolute
        left: 0
        right: 0
        bottom: 0
        height: 1351px
        background-image: linear-gradient(to bottom, rgba(42, 51, 54, 0), #000000 70%)
        width: 100%
        // z-index: -1

.wrap-partner-img 
    display: grid
    grid-template-rows: auto auto
    grid-template-columns: auto auto auto auto
    width: max-content
    -moz-width: max-content
    grid-gap: 15px
    margin-top: 35px
    img
        width: 170px
        height: 70px
        object-fit: contain


.u-choose
    padding-top: 66.66%
    position: relative
    margin-bottom: -88px
    &::before
        content: ''
        background-image: url('../KSC_Support/Background-Element_Layer/Our_Story/Our_story-Who_We_Are/Our-story_Who-We-Are-Image04.png')
        background-size: cover
        background-repeat: no-repeat
        position: absolute
        left: 0
        right: 0
        bottom: 0
        height: 100%
        width: 100%

    &::after
        content: ''
        position: absolute
        left: 0
        right: 0
        top: 0
        height: 304px
        width: 100%
        // z-index: -1
        background-image: linear-gradient(to top, rgba(42, 51, 54, 0), #000000 70%)
    .u-choose-container
        position: absolute
        top: 0
        left: 0
        bottom: 0
        right: 0
        display: flex
        .wrap-content
            display: grid
            grid-template-areas: "phone-image alighment" "phone-image title" "phone-image desc" "phone-image partner" 
            width: 100%
            .wrap-phone-image
                grid-area: phone-image
            .title-section
                grid-area: title
                margin-bottom: 10px
            .text-desc
                grid-area: desc
                margin-bottom: 0
            .wrap-partner-img
                grid-area: partner
                margin-top: 0
            .justify-content-grid
                grid-area: alighment

    // margin-top: 414px
    // margin-bottom: 300px
    // .wrap-phone-image
    //     flex-grow: 1
    //     flex-shrink: 1
    // .wrap-text
    //     flex-grow: 1.2
    //     flex-shrink: 1
    // .wrap-partner-img
    //     img
    //         width: 200px
    //         height: 80px


// .parallax 
//     perspective: 1px
//     height: 100vh
//     overflow-x: hidden
//     overflow-y: auto

// .parallax__layer 
//     position: absolute
//     top: 0
//     right: 0
//     bottom: 0
//     left: 0

// .parallax__layer--base 
//     transform: translateZ(0)

// .parallax__layer--back 
//     transform: translateZ(-1px)




@media screen and ( max-width: 990px )
    body
        &.tab-01:before
            background-image: url("../KSC_Support/Background-Element_Layer/Our_Story/Our_story-Who_We_Are/Our-story_Who-We-Are-BG_Mobile375W.png")
        &.tab-02:before
            background-image: url("../KSC_Support/Background-Element_Layer/Our_Story/Our-story_REAL-PLAYER-DNA/Our-story_REAL-PLAYER-DNA_BG_Mobile375W.png")

    //about nav
    .wrap-nav
        overflow-x: scroll
        ul
            li
                white-space: nowrap
                a
                    font-size: 12px
    .wrap-hero-banner
        margin-bottom: 96px
        img
            width: 100%
            max-width: 300px
            opacity: 0.75
        .text-corporate
            font-size: 40px
            bottom: -45px
    
    .wrap-pre-wording
        margin-top: 25px
        h4
            font-size: 16px
            font-weight: 500
        p
            font-size: 16px

    .title-section
        font-size: 20px
        margin-bottom: 15px

    .heading
        font-size: 28px

    .desciption
        font-size: 18px

    .vision-section
        display: flex
        flex-direction: column
        grid-template-areas:"text" "text " "chairman" "chairman" "bottom" "bottom"
        .wrap-text , .chairman-img , .bottom-img
            width: 100%
        .chairman-img
            justify-content: flex-end
            img
                max-width: 75%

        .bottom-img
            justify-content: flex-end
            img
               max-width: 80%

    .product-and-service
        margin-top: 160px
        padding-bottom: 35px

    .wrap-partner-img
        grid-template-columns: auto auto
        grid-gap: 15px
        img
            width: 139px
            height: 55px
            object-fit: cover

    .u-choose
        flex-direction: column-reverse
        min-height: 750px
        
        &:before
            content: ''
            // background-position: right
            background-image: url(../KSC_Support/Background-Element_Layer/Our_Story/Our_story-Who_We_Are/Our-story_Who-We-Are-Image04_Mobile.jpg)
        &:after
            content: ''
            top: -100px
            height: 350px
        .wrap-content
            grid-template-areas: "title title" "desc desc" "phone-image partner" "phone-image partner"  "phone-image partner"  !important
            .text-desc
                margin-bottom: 40px !important
        .wrap-partner-img
            grid-template-columns: auto
            grid-template-rows: auto auto
            img
                max-width: 125px
                height: 49px
                &:nth-child(1)
                    margin-top: auto
                    margin-bottom: 0 !important
        .wrap-phone-image
            width: max-content
            -moz-width: max-content
            img
                margin-left: 10px !important
                margin-right: 10px !important
                width: 150px !important

    footer 
        padding-top: 20px
        padding-bottom: 20px
        min-height: unset
        .wrap-footer-item
            padding-left: 20px
            padding-right: 20px


@media screen and ( max-width: 990px )
    body
        .wrap-pre-wording
            margin-bottom: 70px
        .title-section
            margin-bottom: 15px
        .heading
            margin-bottom: 0